import {
  HStack,
  Icon,
} from '@chakra-ui/react'
import { FaRegStar, FaStar } from 'react-icons/fa6'
import React from 'react'

export const Stars = ({
  rated,
  setRated,
}: {
  rated: number
  setRated: (rate: number) => void
}) => {
  return (
    <HStack>
      {Array.from({ length: 5 }).map((_, index) =>
        index + 1 > rated ? (
          <Icon
            key={index}
            color="orange.400"
            cursor="pointer"
            onClick={() => setRated(index + 1)}
          >
            <FaRegStar />
          </Icon>
        ) : (
          <Icon
            key={index}
            color="orange.400"
            cursor="pointer"
            onClick={() => setRated(index + 1)}
          >
            <FaStar />
          </Icon>
        ),
      )}
    </HStack>
  )
}
